org.apache.lucene.luke.models.search

## Class SearchResults.Doc

- java.lang.Object
- - org.apache.lucene.luke.models.search.SearchResults.Doc

Enclosing class:
  SearchResults

    public static class SearchResults.Doc
    extends Object

Holder for a hit.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getDocId()` Returns the document id.
`Map<String,String[]>` `getFieldValues()` Returns the field data of this document.
`float` `getScore()` Returns the score of this document for the current query.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getDocId

    public int getDocId()

Returns the document id.

#### getScore

    public float getScore()

Returns the score of this document for the current query.

#### getFieldValues

    public Map<String,String[]> getFieldValues()

Returns the field data of this document.